# coding: utf-8

"""
    DLCM-Solution

    DLCM application wrapping all modules, All-In-One  # noqa: E501

    The version of the OpenAPI document: 2.1.1
    Contact: eresearch-opensource@unige.ch
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest

import dlcmapi_client
from dlcmapi_client.api.archival_storage_api import ArchivalStorageApi  # noqa: E501
from dlcmapi_client.rest import ApiException


class TestArchivalStorageApi(unittest.TestCase):
    """ArchivalStorageApi unit test stubs"""

    def setUp(self):
        self.api = dlcmapi_client.api.archival_storage_api.ArchivalStorageApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_archival_storage_aip_delete_by_id(self):
        """Test case for archival_storage_aip_delete_by_id

        """
        pass

    def test_archival_storage_aip_get(self):
        """Test case for archival_storage_aip_get

        """
        pass

    def test_archival_storage_aip_get_by_id(self):
        """Test case for archival_storage_aip_get_by_id

        """
        pass

    def test_archival_storage_aip_patch_by_id(self):
        """Test case for archival_storage_aip_patch_by_id

        """
        pass

    def test_archival_storage_aip_post(self):
        """Test case for archival_storage_aip_post

        """
        pass

    def test_archival_storage_get(self):
        """Test case for archival_storage_get

        """
        pass


if __name__ == '__main__':
    unittest.main()
